This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch multinode
in repository toolchain/lavabench.
discards e62c9e8 Noddy attempt at multinode
new 50805ae Noddy attempt at multinode
new 518c6df WIP: Testing multinode
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (e62c9e8)
\
N -- N -- N refs/heads/multinode (518c6df)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch multinode
in repository toolchain/lavabench.
commit 518c6dfa3040e6cd7b71bf6a6ee8e50c244f6332
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 14 09:57:54 2015 +0200
WIP: Testing multinode
Change-Id: Ifc966b946ebdfe5008c065e96f1240cb4c7a4c28
---
invoke_session_debian | 3 +++
1 file changed, 3 insertions(+)
diff --git a/invoke_session_debian b/invoke_session_debian
index 654bbbe..3ab2cb4 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -39,6 +39,9 @@ mkdir -p /run
mkdir -p /run/hacking
echo $$ > /run/hacking/hacking.pid
+lava-send test
+lava-wait answer
+
lava-network broadcast eth0
#suspend in a way that is portable across shells and doesn't involve a busy-wait
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 2682ce9bdf033af2760f65138cd05722f1a59998
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Mon Jul 13 18:25:26 2015 +0200
Figure out targets at runtime
Change-Id: I719bc3831a5e0f664125fd9b13f24d15dcb874e2
---
invoke_session_debian | 14 ++++++++++++++
1 file changed, 14 insertions(+)
diff --git a/invoke_session_debian b/invoke_session_debian
index b1268f8..e1d8467 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -85,6 +85,20 @@ mkdir -p /run
mkdir -p /run/hacking
echo $$ > /run/hacking/hacking.pid
+#Generate config file for each target in multinode job
+lava-network collect eth0 target
+declare -A targets
+for lava_name in `lava-group | grep '[[:blank:]]*target$' | awk '{print $1}'`; do
+ target_ip="$(lava-network query \"${lava_name}\" ipv4)"
+ if test $? -ne 0; then echo "Failed to find IP for ${lava_name}"; exit 1; fi
+ target_base="$(echo \"${lava_name}\" | sed 's/[[:digit:]]*$//')" #TODO: HACK
+ if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
+ sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_base}.j [...]
+ if test $? -ne 0; then echo "Failed to generate config file for target ${lava_na [...]
+ targets=("${targets[@]}" "${lava_name}")
+done
+export targets
+
echo "Running benchmark... I may be some time"
export LAVA_IN_LAB=1
"${ABE_DIR}"/scripts/Benchmark.job
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 209f33f41e01f0d461dda21b94696b09c1f50061
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 14 09:59:42 2015 +0200
WIP: Testing multinode
Change-Id: I827211a72bf103bbd4f15390b27d42b8aeb26989
---
invoke_session_debian | 2 ++
1 file changed, 2 insertions(+)
diff --git a/invoke_session_debian b/invoke_session_debian
index e1d8467..8418388 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -37,6 +37,8 @@ fi
ip_addr=$(ifconfig `ip route get $gateway | cut -d ' ' -f3` | grep 'inet addr' |aw [...]
hostname=$(cat /etc/hostname)
echo ${ip_addr}
+lava-wait test
+lava-send answer
# Set the PATH to use the LAVA api
echo "export PATH=/lava/bin/:$PATH" > ~/.bashrc
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards 845d93c Figure out targets at runtime
new 2682ce9 Figure out targets at runtime
new 209f33f WIP: Testing multinode
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (845d93c)
\
N -- N -- N refs/heads/inserted_src (209f33f)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 20 +++++++++++---------
1 file changed, 11 insertions(+), 9 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 213c945 compiler,runtime: Determine if allocations need new point [...]
new d74b733 2015-07-14 Richard Biener <rguenther(a)suse.de>
new 8a6be96 2015-07-14 Richard Biener <rguenther(a)suse.de>
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 34 ++++
gcc/genmatch.c | 510 ++++++++++++++++++++++++++++++-----------------------
gcc/match.pd | 258 +++++++++++++--------------
gcc/tree-ssa-dom.c | 90 ++++------
4 files changed, 489 insertions(+), 403 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from 213c945 compiler,runtime: Determine if allocations need new point [...]
new d74b733 2015-07-14 Richard Biener <rguenther(a)suse.de>
new 8a6be96 2015-07-14 Richard Biener <rguenther(a)suse.de>
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 34 ++++
gcc/genmatch.c | 510 ++++++++++++++++++++++++++++++-----------------------
gcc/match.pd | 258 +++++++++++++--------------
gcc/tree-ssa-dom.c | 90 ++++------
4 files changed, 489 insertions(+), 403 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit e3d31b02430c54621604a7de12805ce9477fda55
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Jul 14 09:07:45 2015 +0200
Don't actually exit from exit trap
Change-Id: I68e67a2da84f1eed4b2e711d6aed48432c6d998c
---
invoke_session_debian | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 4b08f01..b1268f8 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -5,7 +5,7 @@ set -o pipefail
error=1
-trap "rm -rf ~/*; exit \${error}" EXIT
+trap "rm -rf ~/*; sleep infinity; exit \${error}" EXIT
# Hack for now until lava-test-shell is smart enough to know it's dispatcher ip
gateway=$1
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 845d93ce36ac61269ccd639f60e77f4cb694b363
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Mon Jul 13 18:25:26 2015 +0200
Figure out targets at runtime
Change-Id: I719bc3831a5e0f664125fd9b13f24d15dcb874e2
---
invoke_session_debian | 14 ++++++++++++++
1 file changed, 14 insertions(+)
diff --git a/invoke_session_debian b/invoke_session_debian
index b1268f8..ead5984 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -85,6 +85,20 @@ mkdir -p /run
mkdir -p /run/hacking
echo $$ > /run/hacking/hacking.pid
+#Generate config file for each target in multinode job
+lava-network collect
+declare -A targets
+for target_hostname in `lava-group | grep '[[:blank:]]*target$' | cut -d ' ' -f 1`; do
+ target_ip="$(lava-network query \"${target_hostname}\" ipv4)"
+ if test $? -ne 0; then echo "Failed to find IP for ${target_hostname}"; exit 1; fi
+ target_base="$(echo \"${target_hostname}\" | sed 's/[[:digit:]]*$//')" #TODO: HACK
+ if test $? -ne 0; then echo "Failed to find target type from ${target_hostname}" [...]
+ sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_base}.j [...]
+ if test $? -ne 0; then echo "Failed to generate config file for target ${target_ [...]
+ targets=("${targets[@]}" "${target_hostname}")
+done
+export targets
+
echo "Running benchmark... I may be some time"
export LAVA_IN_LAB=1
"${ABE_DIR}"/scripts/Benchmark.job
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards 2582271 Figure out targets at runtime
new e3d31b0 Don't actually exit from exit trap
new 845d93c Figure out targets at runtime
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (2582271)
\
N -- N -- N refs/heads/inserted_src (845d93c)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.